Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000757Core InformUnderstandingpublic2011-09-22 02:452014-05-07 07:34
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.4
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000757: duplicated code in Parser.i6t
DescriptionThe following appears in Parser.i6t, in "Parser Letter E":

        for (i=0 : i<32 : i++) {
            line_token-->i = ENDIT_TOKEN;
            line_ttype-->i = ELEMENTARY_TT;
            line_tdata-->i = ENDIT_TOKEN;
        }

        ! Unpack the syntax line from Inform format into three arrays; ensure that
        ! the sequence of tokens ends in an ENDIT_TOKEN.

        line_address = UnpackGrammarLine(line_address);


However, inside the UnpackGrammarLine function is this:


[ UnpackGrammarLine line_address i size;
    for (i=0 : i<32 : i++) {
        line_token-->i = ENDIT_TOKEN;
        line_ttype-->i = ELEMENTARY_TT;
        line_tdata-->i = ENDIT_TOKEN;
    }


The same paragraph of code is reproduced exactly. Recommend striking the outer paragraph, to shorten "Parser Letter E", and in case someone calls UnpackGrammarLine from a different location for whatever reason.
Tagswrongeffect
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0001359)
graham (administrator)
2011-10-15 01:05

Agreed. I've removed the code from E.

- Issue History
Date Modified Username Field Change
2011-09-22 02:45 Ron Newcomb New Issue
2011-09-22 11:39 EmacsUser Tag Attached: wrongeffect
2011-09-22 11:40 EmacsUser Status new => confirmed
2011-09-22 11:41 EmacsUser Category Source text and punctuation => Understanding
2011-10-15 01:05 graham Note Added: 0001359
2011-10-15 01:05 graham Status confirmed => resolved
2011-10-15 01:05 graham Resolution open => fixed
2011-10-15 01:05 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker